#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# unit tests
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

Summary:	Building tested documentation
Summary(pl.UTF-8):	Budowanie przetestowanej dokumentacji
Name:		python-manuel
# keep 1.11.x here for python2 support
Version:	1.11.2
Release:	1
License:	Apache v2.0
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/manuel/
Source0:	https://files.pythonhosted.org/packages/source/m/manuel/manuel-%{version}.tar.gz
# Source0-md5:	9bbbb65afd67a5e53d35a6bd0c2d2943
URL:		https://pypi.org/project/manuel/
%if %{with python2}
BuildRequires:	python-modules >= 1:2.7
BuildRequires:	python-setuptools
%if %{with tests}
BuildRequires:	python-six
BuildRequires:	python-zope.testing
%endif
%endif
%if %{with python3}
BuildRequires:	python3-modules >= 1:3.4
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-six
BuildRequires:	python3-zope.testing
%endif
%endif
%if %{with doc}
BuildRequires:	python3-myst_parser
BuildRequires:	python3-sphinx_copybutton
BuildRequires:	sphinx-pdg-3
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python-modules >= 1:2.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Manuel lets you build tested documentation.

%description -l pl.UTF-8
Manuel pozwala budować przetestowaną dokumentację.

%package -n python3-manuel
Summary:	Building tested documentation
Summary(pl.UTF-8):	Budowanie przetestowanej dokumentacji
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.4

%description -n python3-manuel
Manuel lets you build tested documentation.

%description -n python3-manuel -l pl.UTF-8
Manuel pozwala budować przetestowaną dokumentację.

%package apidocs
Summary:	API documentation for Python manuel module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona manuel
Group:		Documentation

%description apidocs
API documentation for Python manuel module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona manuel.

%prep
%setup -q -n manuel-%{version}

%build
%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%if %{with doc}
sphinx-build-3 -b html -c sphinx src/manuel sphinx/_build/html
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc CHANGES.rst COPYRIGHT.rst README.rst
%{py_sitescriptdir}/manuel
%{py_sitescriptdir}/manuel-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-manuel
%defattr(644,root,root,755)
%doc CHANGES.rst COPYRIGHT.rst README.rst
%{py3_sitescriptdir}/manuel
%{py3_sitescriptdir}/manuel-%{version}-py*.egg-info
%endif

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc sphinx/_build/html/{_static,*.html,*.js}
%endif
%changelog
* Wed Sep 27 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-manuel.git;a=log;h=master

* Mon Sep 25 2023 Jakub Bogusz <qboosh@pld-linux.org> af69819
- updated to 1.11.2, build apidocs

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 3dd47dd
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> cbe34d9
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> f5166f2
- rebuild with python 3.10

* Wed Feb 23 2022 Jakub Bogusz <qboosh@pld-linux.org> f723f77
- new

